| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Interface and Description |
|---|---|
static interface |
ResteasyEndpointBuilderFactory.ResteasyEndpointBuilder
Builder for endpoint for the Resteasy component.
|
| Modifier and Type | Method and Description |
|---|---|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.authDomain(String authDomain)
Authentication domain to use with NTML.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.authenticationPreemptive(boolean authenticationPreemptive)
If this option is true, camel-http sends preemptive basic
authentication to the server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.authenticationPreemptive(String authenticationPreemptive)
If this option is true, camel-http sends preemptive basic
authentication to the server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.authHost(String authHost)
Authentication host to use with NTML.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.authMethod(String authMethod)
Authentication methods allowed to use as a comma separated list of
values Basic, Digest or NTLM.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.authMethodPriority(String authMethodPriority)
Which authentication method to prioritize to use, either as Basic,
Digest or NTLM.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.authPassword(String authPassword)
Authentication password.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.authUsername(String authUsername)
Authentication username.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilder.basic() |
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.basicAuth(Boolean basicAuth)
Sets the flag to basicAuth on endpoint.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.basicAuth(String basicAuth)
Sets the flag to basicAuth on endpoint.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.bridgeEndpoint(boolean bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.bridgeEndpoint(String bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.chunked(boolean chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.chunked(String chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.clearExpiredCookies(boolean clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.clearExpiredCookies(String clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.connectionClose(boolean connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.connectionClose(String connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.copyHeaders(boolean copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.copyHeaders(String copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.customHostHeader(String customHostHeader)
To use custom host header for producer.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.disableStreamCache(boolean disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.disableStreamCache(String disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.httpMethod(ResteasyEndpointBuilderFactory.HttpMethods httpMethod)
Configure the HTTP method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.httpMethod(String httpMethod)
Configure the HTTP method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.ignoreResponseBody(boolean ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.ignoreResponseBody(String ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.password(String password)
Sets the password.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.preserveHostHeader(boolean preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.preserveHostHeader(String preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyAuthDomain(String proxyAuthDomain)
Proxy authentication domain to use with NTML.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyAuthHost(String proxyAuthHost)
Proxy authentication host.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyAuthMethod(String proxyAuthMethod)
Proxy authentication method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyAuthPassword(String proxyAuthPassword)
Proxy authentication password.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyAuthPort(int proxyAuthPort)
Proxy authentication port.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyAuthPort(String proxyAuthPort)
Proxy authentication port.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyAuthScheme(String proxyAuthScheme)
Proxy authentication scheme to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyAuthUsername(String proxyAuthUsername)
Proxy authentication username.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyClientClass(String proxyClientClass)
Sets the resteasy proxyClientClass.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyHost(String proxyHost)
Proxy hostname to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyMethod(String proxyMethod)
Sets the proxy method defined in an interface.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyPort(int proxyPort)
Proxy port to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyPort(String proxyPort)
Proxy port to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.restEasyHttpBindingRef(Object restEasyHttpBindingRef)
Sets the restEasyHttpBinding if you have a customised one registered
in the context.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.restEasyHttpBindingRef(String restEasyHttpBindingRef)
Sets the restEasyHttpBinding if you have a customised one registered
in the context.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.resteasyMethod(String resteasyMethod)
Sets the resteasy method to process the request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.servletName(String servletName)
Sets the servlet name.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.sslContextParameters(Object sslContextParameters)
To configure security using SSLContextParameters.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.sslContextParameters(String sslContextParameters)
To configure security using SSLContextParameters.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.throwExceptionOnFailure(boolean throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.throwExceptionOnFailure(String throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.transferException(boolean transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.transferException(String transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.username(String username)
Sets the username.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.x509HostnameVerifier(Object x509HostnameVerifier)
To use a custom X509HostnameVerifier such as DefaultHostnameVerifier
or NoopHostnameVerifier.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.x509HostnameVerifier(String x509HostnameVerifier)
To use a custom X509HostnameVerifier such as DefaultHostnameVerifier
or NoopHostnameVerifier.
|
Apache Camel